//
//  AssurancesView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 20/11/2025.
//

import SwiftUI

struct AssurancesView: View {
    @State private var selectedOption = PickerOption(text: "Responsabilité Civile Professionnelle")

    private let options: [PickerOption] = [
        PickerOption(text: "Responsabilité Civile Professionnelle"),
        PickerOption(text: "Garantie décennale"),
        PickerOption(text: "Autre"),
    ]

    var body: some View {
        VStack(spacing: 16) {
            SQText("Ajouter une assurance")
                .sqFont(.bold)
                .sqSize(18)

            VStack(alignment: .leading, spacing: 4) {
                SQText("Type d’assurance")
                    .sqFont(.semiBold)
                    .sqColor(.sqNeutral(80))
                SQPicker(selection: $selectedOption, options: options)
            }

            SQDatePickerView("Date d'expiration", placeholder: "JJ/MM/AAAA")

            if true {
                DocumentPreviewView(fileName: "garantie-decennale.pdf") {}
            } else {
                SQButton("Importer une attestation") {}
                    .sqIcon(.init(.inbox_in))
                    .sqButtonType(.line)
            }

            SQText("Formats de fichier acceptés : jpg, pdf. Votre fichier ne doit pas dépasser un poids maximum de 7Mo.")
                .sqSize(14)
                .sqColor(.sqNeutral(80))

            SQCheckbox("Je certifie l’exactitude des éléments renseignés et je m’engage à fournir mes attestations d’assurance à première demande.", isChecked: .constant(false), error: .constant(SQFormFieldError.none))
                .padding(.top, 16)
            SQButton("Enregistrer") {}
            Spacer()
        }
        .padding()
    }
}

#Preview {
    NavigationView {
        AssurancesView()
    }
}
